﻿using Syncfusion.XForms.Buttons;
using Syncfusion.XForms.PopupLayout;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using Xamarin.Forms;

namespace PopupSample
{
    public partial class MainPage : ContentPage
    {

        SfPopupLayout popupLayout;
        public MainPage()
        {
            InitializeComponent();
            clickToShowPopup.Clicked += ClickToShowPopup_Clicked;
            popupLayout = new SfPopupLayout();
            popupLayout.PopupView.ContentTemplate = new DataTemplate(() =>
            {
                StackLayout stackLayout = new StackLayout();
                SfRadioButton radioButton = new SfRadioButton();
                stackLayout.Children.Add(radioButton);
                return stackLayout; 
            });
            popupLayout.Closed += PopupLayout_Closed;
        }

        private void PopupLayout_Closed(object sender, EventArgs e)
        {
            // execute your code here 
        }

        private void ClickToShowPopup_Clicked(object sender, EventArgs e)
        {
            popupLayout.Show();
        }
    }
}
